void CreateTempQuestCharacters(ref n)
{
	int tmpNameFileID = LanguageOpenFile(GetStoryLineDir(FindStoryline("Bartolomeu")) + "characters_names.txt");
	object chobj;
	ref ch;

	makeref(ch, chobj);


// Hector Barbossa
	ch.old.name = "Hector";
	ch.old.lastname = "Barbossa";
	ch.name = LanguageConvertString(tmpNameFileID,"Hector");
	ch.lastname = LanguageConvertString(tmpNameFileID,"Barbossa");
	ch.id		= "Hector Barbossa";
	ch.model = "Diller";  // Cat
	ch.sex = "man";
	ch.sound_type = "male_citizen";
	ch.location	= "none"; 
	ch.location.group = "goto";
	ch.location.locator = "none";
	ch.Dialog.Filename = "Hector Barbossa_dialog.c";
	ch.greeting = "Gr_Jordano";
	ch.rank 	= 1;
	ch.reputation = "22";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "3";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.model.height = 1.75;
	ch.money = "10";
	LAi_SetActorType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	AddGameCharacter(n, ch);

// Pierre Delacroix
	ch.old.name = "Pierre";
	ch.old.lastname = "Delacroix";
	ch.name = LanguageConvertString(tmpNameFileID,"Pierre");
	ch.lastname = LanguageConvertString(tmpNameFileID,"Delacroix");
	ch.id		= "Pierre Delacroix";
	ch.model	= "50M5";
	ch.sex = "man";
	ch.sound_type = "pirate";
	GiveItem2Character(ch, "blade1");
	ch.equip.blade = "blade1";
	GiveItem2Character(ch, GUN_COMMON);
	ch.equip.gun = GUN_COMMON;
	//JRH ammo mod -->
	TakenItems(ch, "gunpowder", 6);
	TakenItems(ch, "pistolbullets", 6);
	//JRH ammo mod <--
	ch.location	= "none";
	ch.location.group = "";
	ch.location.locator = "";
	ch.Dialog.Filename = "Pierre Delacroix_dialog.c";
	ch.greeting = "Gr_Robert Durand";
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "0";
	LAi_SetActorType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	AddGameCharacter(n, ch);

// Eugene Martin
	ch.old.name = "Eugene";
	ch.old.lastname = "Martin";
	ch.name = LanguageConvertString(tmpNameFileID,"Eugene");
	ch.lastname = LanguageConvertString(tmpNameFileID,"Martin");
	ch.id		= "Eugene Martin";
	ch.model = "Old_mat1";
	ch.sex = "man";
	ch.location	= "none";
	ch.location.group = "";
	ch.location.locator = "";
	ch.Dialog.Filename = "Eugene Martin_dialog.c";
	ch.nation = FRANCE;
	ch.rank 	= 1;
	ch.reputation = "43";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "4";
	ch.skill.Sneak = "1";
	ch.money = "10";
	ch.money.quest = "0";
	ch.quest.meeting = "0";
	ch.quest_begin = "0";
	ch.quest.to_redmond_1 = "0";
	ch.quest.trade_date = "";
	ch.quest.item_date = "";
	LAi_SetMerchantType(ch);
	LAi_group_MoveCharacter(ch, "FRANCE_CITIZENS");
	ch.greeting = "Gr_Francois Moulin";
	AddGameCharacter(n, ch);

//   Emilio Soares
	ch.old.name = "Emilio";
	ch.old.lastname = "Soares";
	ch.name = LanguageConvertString(tmpNameFileID,"Emilio");
	ch.lastname = LanguageConvertString(tmpNameFileID,"Soares");
	ch.id		= "Emilio Soares";
	ch.model	= "black_corsair";
	ch.sex = "man";
	ch.sound_type = "pirate";
	GiveItem2Character(ch, "blade4");
	ch.equip.blade = "blade4";
	ch.nodisarm	= 1;
	GiveItem2Character(ch, GUN_COMMON);
	ch.equip.gun = GUN_COMMON;
	//JRH ammo mod -->
	TakenItems(ch, "gunpowder", 6);
	TakenItems(ch, "pistolbullets", 6);
	//JRH ammo mod <--
	ch.location	= "none";
	ch.location.group = "";
	ch.location.locator = "";
	ch.Dialog.Filename = "Emilio Soares_dialog.c";
	ch.greeting = "Gr_Emilio Soares";
	ch.rank 	= 2;
	ch.reputation = "None";
	TakeNItems(ch,"potion1", Rand(4)+1);
	ch.experience = CalculateExperienceFromRank(2)+ (CalculateExperienceFromRank(2)/10 + rand(2000));
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "2";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "2";
	ch.skill.Commerce = "2";
	ch.skill.Sneak = "1";
	ch.money = "0";
	LAi_SetActorType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	AddGameCharacter(n, ch);

// Luc Merin
	ch.old.name = "Luc";
	ch.old.lastname = "Merin";
	ch.name = LanguageConvertString(tmpNameFileID,"Luc");
	ch.lastname = LanguageConvertString(tmpNameFileID,"Merin");
	ch.id		= "Luc Merin";
	ch.model	= "Man5_1";
	ch.sex = "man";
	ch.sound_type = "pirate";
	GiveItem2Character(ch, "blade1");
	ch.equip.blade = "blade1";
	GiveItem2Character(ch, GUN_COMMON);
	ch.equip.gun = GUN_COMMON;
	//JRH ammo mod -->
	TakenItems(ch, "gunpowder", 6);
	TakenItems(ch, "pistolbullets", 6);
	//JRH ammo mod <--
	ch.location	= "none";
	ch.location.group = "";
	ch.location.locator = "";
	ch.Dialog.Filename = "Luc Merin_dialog.c";
	ch.greeting = "Gr_Gyles Dubois";
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "0";
	LAi_SetCitizenType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	AddGameCharacter(n, ch);

// Elias Bartels
	ch.old.name = "Elias";
	ch.old.lastname = "Bartels";
	ch.name = LanguageConvertString(tmpNameFileID,"Elias");
	ch.lastname = LanguageConvertString(tmpNameFileID,"Bartels");
	ch.id		= "Elias Bartels";
	ch.model	= "Chameleon";
	ch.sex = "man";
	ch.sound_type = "pirate";
	GiveItem2Character(ch, "blade4");
	ch.equip.blade = "blade4";
	GiveItem2Character(ch, GUN_COMMON);
	ch.equip.gun = GUN_COMMON;
	//JRH ammo mod -->
	TakenItems(ch, "gunpowder", 6);
	TakenItems(ch, "pistolbullets", 6);
	//JRH ammo mod <--
	ch.location	= "none";
	ch.location.group = "";
	ch.location.locator = "";
	ch.Dialog.Filename = "Elias Bartels_dialog.c";
	ch.greeting = "Gr_Reynard Grueneveldt";
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "0";
	LAi_SetMerchantType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	AddGameCharacter(n, ch);

// Roxanne Lalliere	
	ch.old.name = "Roxanne"; 
	ch.old.lastname = "Lalliere";
	ch.name = LanguageConvertString(tmpNameFileID,"Roxanne"); 
	ch.lastname = LanguageConvertString(tmpNameFileID,"Lalliere");
	ch.id		= "Roxanne Lalliere";
	ch.model	= "9CATa";
	ch.sex = "woman";
	ch.sound_type = "pirate";
	GiveItem2Character(ch, "blade30");
	ch.equip.blade = "blade30";
	ch.nodisarm	= 1;			
	GiveItem2Character(ch, GUN_COMMON);
	ch.equip.gun = GUN_COMMON;
	//JRH ammo mod -->
	TakenItems(ch, "gunpowder", 6);
	TakenItems(ch, "pistolbullets", 6);
	//JRH ammo mod <--
	ch.location	= "none";
	ch.location.group = "";
	ch.location.locator = "";
	ch.Dialog.Filename = "Roxanne Lalliere_dialog.c";
	ch.rank 	= 12;
	ch.reputation = "None";
	ch.Ship.Name = "La Joyeuse";
	ch.Ship.Type = 	"Brig_16_Gun1_18";	
	ch.Ship.Stopped = true;
	ch.experience = "0";
	ch.greeting = "Gr_Woman_French citizen";
	ch.skill.Leadership = "6";
	ch.skill.Fencing = "10";
	ch.skill.Sailing = "3";
	ch.skill.Accuracy = "3";
	ch.skill.Cannons = "2";
	ch.skill.Grappling = "2";
	ch.skill.Repair = "2";
	ch.skill.Defence = "4";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "3";
	ch.money = "0";
	ch.perks.list.ShipSpeedUp = true;
	ch.perks.list.ShipTurnRateUp = true;
	ch.perks.list.StormProfessional = true;
	ch.perks.list.SandbankManeuver = true;
	ch.perks.list.SailingProfessional = true;
	LAi_SetMerchantType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 120.0, 120.0);
	AddGameCharacter(n, ch);

// Pedro Rivera	
	ch.old.name = "Pedro";
	ch.old.lastname = "Rivera";
	ch.name = "Pedro";
	ch.lastname = "Rivera";
	ch.id		= "Pedro Rivera";
	ch.model	= "wurmwoode";
	ch.sex = "man";
	ch.sound_type = "pirate";
	GiveItem2Character(ch, "blade18");
	ch.equip.blade = "blade18";
	ch.nodisarm	= 1;
	GiveItem2Character(ch, GUN_COMMON);
	ch.equip.gun = GUN_COMMON;
	//JRH ammo mod -->
	TakenItems(ch, "gunpowder", 6);
	TakenItems(ch, "pistolbullets", 6);
	//JRH ammo mod <--
	ch.location	= "none";
	ch.location.group = "";
	ch.location.locator = "";
	ch.Dialog.Filename = "Pedro Rivera_dialog.c";
	ch.rank 	= 6;
	ch.reputation = "None";
	ch.experience = "0";
	ch.greeting = "Gr_Pedro Rivera";
	ch.skill.Leadership = "3";
	ch.skill.Fencing = "6";
	ch.skill.Sailing = "2";
	ch.skill.Accuracy = "3";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "4";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "0";
	LAi_SetActorType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 120.0, 120.0);
	AddGameCharacter(n, ch);


	LanguageCloseFile(tmpNameFileID);
}
	
